Module | Prawn::Graphics::Dash
In: | lib/prawn/graphics/dash.rb

### Methods

dash dash= dashed? undash

### Public Instance methods

dash(length=nil, options={})

Sets the dash pattern for stroked lines and curves

      length is the length of the dash. If options is not present,
      or options[:space] is nil, then length is also the length of
      the space between dashes

      options may contain :space and :phase
         :space is the space between the dashes
         :phase is where in the cycle to begin dashing. For
                example, a phase of 0 starts at the beginning of
                the dash; whereas, if the phase is equal to the
                length of the dash, then stroking will begin at
                the beginning of the space. Default is 0

      integers or floats may be used for length and the options

      dash units are in PDF points ( 1/72 in )

dash=(length=nil, options={})

Alias for dash

dashed?()

Returns when stroke is dashed, false otherwise

undash()

Stops dashing, restoring solid stroked lines and curves

[Validate]